(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     19007,        493]
NotebookOptionsPosition[     18675,        476]
NotebookOutlinePosition[     19029,        492]
CellTagsIndexPosition[     18986,        489]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"TET", "=", 
    RowBox[{"PolyhedronData", "[", 
     RowBox[{"\"\<Tetrahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
       RowBox[{"FaceForm", "[", "Yellow", "]"}], ",", 
       RowBox[{"PolyhedronData", "[", 
        RowBox[{"\"\<Tetrahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"y", "\[Equal]", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{"Green", ",", 
           RowBox[{"Opacity", "[", "x", "]"}], ",", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{
                 SqrtBox[
                  FractionBox["2", "3"]], "-", 
                 FractionBox["1", 
                  RowBox[{"2", " ", 
                   SqrtBox["6"]}]]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                FractionBox["1", 
                 SqrtBox["3"]], ",", "0", ",", 
                RowBox[{"-", 
                 FractionBox["1", 
                  RowBox[{"2", " ", 
                   SqrtBox["6"]}]]}]}], "}"}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                   RowBox[{"-", 
                    FractionBox["1", "2"]}], ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}], "+", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                   FractionBox["1", "2"], ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}]}], ")"}], "/", "2"}]}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Black", ",", " ", 
             RowBox[{"Opacity", "[", "1", "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"M", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                    RowBox[{"-", 
                    FractionBox["1", "2"]}], ",", 
                    RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}], "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                    FractionBox["1", "2"], ",", 
                    RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}]}], ")"}], "/", "2"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "}"}]}], "\[IndentingNewLine]", "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"z", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", " ", 
           RowBox[{"Opacity", "[", "1", "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"H", ",", "Large"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                   RowBox[{"-", 
                    FractionBox["1", "2"]}], ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}], "+", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                   FractionBox["1", "2"], ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}], "+", 
                 RowBox[{"{", 
                  RowBox[{
                   FractionBox["1", 
                    SqrtBox["3"]], ",", "0", ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}]}], ")"}], "/", "3"}], "+", 
              RowBox[{"{", 
               RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", "Thick", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{
                 SqrtBox[
                  FractionBox["2", "3"]], "-", 
                 FractionBox["1", 
                  RowBox[{"2", " ", 
                   SqrtBox["6"]}]]}]}], "}"}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                   RowBox[{"-", 
                    FractionBox["1", "2"]}], ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}], "+", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"]}]]}], ",", 
                   FractionBox["1", "2"], ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}], "+", 
                 RowBox[{"{", 
                  RowBox[{
                   FractionBox["1", 
                    SqrtBox["3"]], ",", "0", ",", 
                   RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    SqrtBox["6"]}]]}]}], "}"}]}], ")"}], "/", "3"}]}], "}"}], 
            "]"}]}], "}"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "Black", ",", 
       RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"A", ",", "Large"}], "]"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{
             SqrtBox[
              FractionBox["2", "3"]], "-", 
             FractionBox["1", 
              RowBox[{"2", " ", 
               SqrtBox["6"]}]]}]}], "}"}], "+", 
          RowBox[{"{", 
           RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"B", ",", "Large"}], "]"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", 
              RowBox[{"2", " ", 
               SqrtBox["3"]}]]}], ",", 
            RowBox[{"-", 
             FractionBox["1", "2"]}], ",", 
            RowBox[{"-", 
             FractionBox["1", 
              RowBox[{"2", " ", 
               SqrtBox["6"]}]]}]}], "}"}], "+", 
          RowBox[{"{", 
           RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"C", ",", "Large"}], "]"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", 
              RowBox[{"2", " ", 
               SqrtBox["3"]}]]}], ",", 
            FractionBox["1", "2"], ",", 
            RowBox[{"-", 
             FractionBox["1", 
              RowBox[{"2", " ", 
               SqrtBox["6"]}]]}]}], "}"}], "+", 
          RowBox[{"{", 
           RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"D", ",", "Large"}], "]"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", 
             SqrtBox["3"]], ",", "0", ",", 
            RowBox[{"-", 
             FractionBox["1", 
              RowBox[{"2", " ", 
               SqrtBox["6"]}]]}]}], "}"}], "+", 
          RowBox[{"{", 
           RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"l", ",", "Large"}], "]"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{
                SqrtBox[
                 FractionBox["2", "3"]], "-", 
                FractionBox["1", 
                 RowBox[{"2", " ", 
                  SqrtBox["6"]}]]}]}], "}"}], "+", 
             RowBox[{"{", 
              RowBox[{
               FractionBox["1", 
                SqrtBox["3"]], ",", "0", ",", 
               RowBox[{"-", 
                FractionBox["1", 
                 RowBox[{"2", " ", 
                  SqrtBox["6"]}]]}]}], "}"}]}], ")"}], "/", "2"}], "+", 
          RowBox[{"{", 
           RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l", ",", "2", ",", "\"\<\:8fba\:306e\:9577\:3055\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "\"\<\:4e09\:89d2\:5f62\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", "\"\<\:9ad8\:3055\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.5963090272983136`*^9, {3.596309095771591*^9, 3.596309123060873*^9}, {
   3.5963091985987296`*^9, 3.596309235672141*^9}, {3.621560251194062*^9, 
   3.62156029769021*^9}, {3.6215603447946596`*^9, 3.621560350674917*^9}, {
   3.6215603852080126`*^9, 3.621560385395198*^9}, {3.6215606216858206`*^9, 
   3.62156084938088*^9}, {3.621560987686758*^9, 3.6215611315595913`*^9}, {
   3.621561170344079*^9, 3.621561230470333*^9}, {3.6215612885372553`*^9, 
   3.621561338975288*^9}, {3.621561460253917*^9, 3.6215614631711545`*^9}, 
   3.621561495650771*^9, {3.6215615406573477`*^9, 3.621561714022277*^9}, {
   3.6215617492938766`*^9, 3.6215617742538767`*^9}, {3.621575456026108*^9, 
   3.62157555845596*^9}, {3.6215757214390173`*^9, 3.6215757883112354`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`l$$ = 1, $CellContext`x$$ = 
    0.734, $CellContext`y$$ = 1, $CellContext`z$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], 0, 1}, {{
       Hold[$CellContext`l$$], 2, "\:8fba\:306e\:9577\:3055"}, {1, 2}}, {{
       Hold[$CellContext`y$$], 0, "\:4e09\:89d2\:5f62"}, {0, 1}}, {{
       Hold[$CellContext`z$$], 0, "\:9ad8\:3055"}, {0, 1}}}, 
    Typeset`size$$ = {379., {162., 166.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`x$1625$$ =
     0, $CellContext`l$1626$$ = False, $CellContext`y$1627$$ = 
    False, $CellContext`z$1628$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`l$$ = 2, $CellContext`x$$ = 
        0, $CellContext`y$$ = 0, $CellContext`z$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$1625$$, 0], 
        Hold[$CellContext`l$$, $CellContext`l$1626$$, False], 
        Hold[$CellContext`y$$, $CellContext`y$1627$$, False], 
        Hold[$CellContext`z$$, $CellContext`z$1628$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Opacity[0.2], 
         FaceForm[Yellow], 
         PolyhedronData["Tetrahedron", "Faces"], 
         If[$CellContext`y$$ == 1, {Green, 
           Opacity[$CellContext`x$$], 
           
           Polygon[{{0, 0, (2/3)^Rational[1, 2] - 1/(2 6^Rational[1, 2])}, {
             1/3^Rational[1, 2], 
              0, -(1/(2 
               6^Rational[1, 2]))}, ({-(1/(2 3^Rational[1, 2])), -(1/2), -(1/(
                 2 6^Rational[1, 2]))} + {-(1/(2 3^Rational[1, 2])), 1/
                2, -(1/(2 6^Rational[1, 2]))})/2}], {Black, 
            Opacity[1], 
            Text[
             
             Style[$CellContext`M, 
              Large], ({-(1/(2 3^Rational[1, 2])), -(1/2), -(1/(2 
                  6^Rational[1, 2]))} + {-(1/(2 3^Rational[1, 2])), 1/
                 2, -(1/(2 6^Rational[1, 2]))})/2 + {0.05, 0, 0}]}}], 
         If[$CellContext`z$$ == 1, {Black, 
           Opacity[1], 
           Text[
            
            Style[$CellContext`H, 
             Large], ({-(1/(2 3^Rational[1, 2])), -(1/2), -(1/(2 
                 6^Rational[1, 2]))} + {-(1/(2 3^Rational[1, 2])), 1/
                2, -(1/(2 6^Rational[1, 2]))} + {
               1/3^Rational[1, 2], 0, -(1/(2 6^Rational[1, 2]))})/3 + {
             0.05, 0, 0}], Thick, 
           
           Line[{{0, 0, (2/3)^Rational[1, 2] - 1/(2 
              6^Rational[
                1, 2])}, ({-(1/(2 3^Rational[1, 2])), -(1/2), -(1/(2 
                 6^Rational[1, 2]))} + {-(1/(2 3^Rational[1, 2])), 1/
                2, -(1/(2 6^Rational[1, 2]))} + {
               1/3^Rational[1, 2], 0, -(1/(2 6^Rational[1, 2]))})/3}]}], 
         Black, 
         Opacity[1], 
         Text[
          
          Style[$CellContext`A, Large], {
           0, 0, (2/3)^Rational[1, 2] - 1/(2 6^Rational[1, 2])} + {
           0.05, 0, 0}], 
         Text[
          
          Style[$CellContext`B, 
           Large], {-(1/(2 3^Rational[1, 2])), -(1/2), -(1/(2 
             6^Rational[1, 2]))} + {0.05, 0, 0}], 
         Text[
          Style[
          C, Large], {-(1/(2 3^Rational[1, 2])), 1/
            2, -(1/(2 6^Rational[1, 2]))} + {0.05, 0, 0}], 
         Text[
          Style[
          D, Large], {1/3^Rational[1, 2], 0, -(1/(2 6^Rational[1, 2]))} + {
           0.05, 0, 0}], 
         Text[
          
          Style[$CellContext`l$$, 
           Large], ({0, 0, (2/3)^Rational[1, 2] - 1/(2 6^Rational[1, 2])} + {
             1/3^Rational[1, 2], 0, -(1/(2 6^Rational[1, 2]))})/2 + {
           0.05, 0, 0}]}, Boxed -> False], 
      "Specifications" :> {{$CellContext`x$$, 0, 
         1}, {{$CellContext`l$$, 2, "\:8fba\:306e\:9577\:3055"}, {1, 
         2}}, {{$CellContext`y$$, 0, "\:4e09\:89d2\:5f62"}, {0, 
         1}}, {{$CellContext`z$$, 0, "\:9ad8\:3055"}, {0, 1}}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{430., {235., 242.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.596309125639757*^9, 3.5963092033344984`*^9, 3.596309236719324*^9, 
   3.6215602981737328`*^9, {3.621560352250265*^9, 3.6215603860035515`*^9}, 
   3.6215608546079187`*^9, 3.621560920687047*^9, 3.6215609948797874`*^9, {
   3.6215610250249767`*^9, 3.621561056777285*^9}, 3.621561231375191*^9, 
   3.6215613405665903`*^9, 3.6215614528438225`*^9, 3.62156149867721*^9, 
   3.621561583323895*^9, {3.6215616167395234`*^9, 3.6215616381897984`*^9}, 
   3.6215617150206766`*^9, 3.6215617746750765`*^9, 3.6215755594855595`*^9, 
   3.6215757222811584`*^9, 3.621575790416587*^9}]
}, Open  ]]
},
WindowSize->{1350, 632},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 12663, 335, 746, "Input"],
Cell[13245, 359, 5414, 114, 527, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
